libperconaserverclient for PS5.1

Registered by Stewart Smith on 2013-10-11

For our packages to be included in Linux distributions we must not conflict with existing packages of Oracle MySQL. At the most basic level this means our client library packages cannot be named "libmysqlclient". The next level of this is to not install libmysqlclient.so that conflicts with the Oracle packages, as this runs the risk of ABI incompatibility that would just be annoying for all involved.

Proposal is to have libperconaserverclient.so, in libperconaserver packages and if you install the libperconaserver-dev package, then the mysql_config binary installed will point to PS client libs, if you install the Oracle one then you get Oracle libs.

Blueprint information

Status:
Started
Approver:
None
Priority:
Not
Drafter:
None
Direction:
Approved
Assignee:
None
Definition:
Approved
Series goal:
Accepted for 5.1
Implementation:
Beta Available
Milestone target:
None
Started by
Stewart Smith on 2013-10-11

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.